import request from '@/utils/request';

// 查询事项与条款列表
export function listTerms(query: any) {
  return request({
    url: '/system/terms/list',
    method: 'get',
    params: query
  });
}

// 查询事项与条款详细
export function getTerms(id: number) {
  return request({
    url: '/system/terms/' + id,
    method: 'get'
  });
}

// 新增事项与条款
export function addTerms(data: any) {
  return request({
    url: '/system/terms',
    method: 'post',
    data: data
  });
}

// 修改事项与条款
export function updateTerms(data: any) {
  return request({
    url: '/system/terms',
    method: 'put',
    data: data
  });
}

// 删除事项与条款
export function delTerms(id: number | number[]) {
  return request({
    url: '/system/terms/' + id,
    method: 'delete'
  });
}
